Get all tire sets
curl --request GET \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/tire-sets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/tire-sets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/tire-sets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"title": "Winter tires",
"frontAxle": {
"model": "PIRELLI P-ZERO",
"size": "235/35 R20 Y",
"firstMountDate": "2022-04-24",
"mileage": 9560
},
"rearAxle": {
"model": "PIRELLI P-ZERO",
"size": "235/35 R20 Y",
"firstMountDate": "2022-04-24",
"mileage": 9560
},
"note": "<string>",
"storageReports": [
{
"id": "<string>",
"frontAxle": {
"model": "<string>",
"size": "<string>",
"mileage": 123,
"treadDepth": 123
},
"rearAxle": {
"model": "<string>",
"size": "<string>",
"mileage": 123,
"treadDepth": 123
},
"note": "<string>",
"dismountDate": "2025-04-24",
"depotAddress": "<string>",
"depotPhone": "<string>",
"depotEmail": "jsmith@example.com",
"blob": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"uploaded": false
}
}
],
"invoices": [
{
"id": "<string>",
"blob": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"uploaded": false
}
}
]
}
]Tire sets
Get all tire sets
Get all tire sets of the specified vehicle
GET
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
{vehicleId}
/
tire-sets
Get all tire sets
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Asset provider country code
Required string length:
2Asset provider code
Required string length:
3The assetId of the vehicle
Response
All tire sets
Available options:
Mounted, Dismounted, Archived Example:
"Winter tires"
Available options:
Summer, Winter, All-weather Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

